Subject: bug#7868: parallel-tests: avoid command-line length limit issue.

From: Bob Friesenhahn <[email-masked]>
Date: Fri, 30 Dec 2011 10:10:09 -0600 (CST)

On Fri, 30 Dec 2011, Stefano Lattarini wrote:
>>
> OK, I hope I've finally managed to partially fix this incredibly annoying bug
> -- I say "partially" because the fix is sadly *for GNU make*.  Even more sadly,
> the solution is pretty hacky and somewhat brittle.   Still, it should cause no
> regression with the non-GNU makes (as they will continue to use the old
> implementation), and I have verified that it works with at least all the GNU
> make versions >= 3.78.

I see that there is a new test which tests for GNU make.  How solid is 
it?  For example, the GNU make I use under MinGW is called 'csmake' 
(for "Case Sensitive make") because the default MinGW GNU 
case-insensitive make is horrendously slow, taking a couple of minutes 
before it does anything at all.  It seems that someone decided that 
MinGW make needs to be case-insensitive and it operates via 
brute-force, trying every case permutation.  If a network is involved, 
this becomes frightfully slow.  As a result, whever I would normally 
type 'make' I type 'csmake' instead.

Bob
-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/